﻿@model DA.Website.Models.HomeModels.RegisterVM

@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Register</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Username" class="control-label"></label>
                <input asp-for="Username" class="form-control" />
                <span asp-validation-for="Username" class="text-danger"></span>
                <div class="form-group">
                    @Html.ValidationMessage("RegisterError")
                </div>
            </div>
            <div class="form-group">
                <label asp-for="First_Name" class="control-label"></label>
                <input asp-for="First_Name" class="form-control" />
                <span asp-validation-for="First_Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Last_Name" class="control-label"></label>
                <input asp-for="Last_Name" class="form-control" />
                <span asp-validation-for="Last_Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Age" class="control-label"></label>
                <input asp-for="Age" class="form-control" />
                <span asp-validation-for="Age" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="Gender" /> @Html.DisplayNameFor(model => model.Gender)
                </label>
            </div>
            <div class="form-group">
                <label asp-for="Password" class="control-label"></label>
                <input asp-for="Password" class="form-control" type="password"/>
                <span asp-validation-for="Password" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-controller="Home" asp-action="Index">Back</a>
</div>

